/**************************************************************************/
/***    ADM-670PCI(WDM) Sample Header :			                ***/
/***                                           (C) MICRO SCIENCE        ***/
/***	2001.07.28	First Rel.                                      ***/
/**************************************************************************/
#ifdef __cplusplus
	extern "C" {
#endif

#define BOARD_NAME	"ADM-670PCI"
#define VENDOR_ID	0x13FD
#define	DEVICE_ID	0x010D
#define	BOARD_ID	0x16
#define	MAX_CH		4

#define FIFO_HALF	2048	/* Normaly */

/* Port */
#define	DATA		0x00
#define	CHNUM		0x00
#define	INTROUT		0x02
#define	INTRMON		0x02
#define	DATACODE	0x04
#define TRIG		0x06
#define	START		0x08
#define	INTRSRC		0x10
#define STATUS		0x0A
#define STSCLR		0x0A
#define	MANUAL		0x08
#define TRGLEVEL1	0x0C
#define TRGLEVEL2	0x0E
#define	RESET		0x0E
#define	CLKSEL		0x12
#define	CLKDIV		0x14
#define	DI		0x1C
#define	D0		0x1C
#define BRDNUM		0x1A
#define	POST_CNT	0x16
#define	FIFO_THIN	0x1A		

#define RAM_DATA	0x04
#define ADRS_CNT	0x18	

/* START/STOP */
#define	PRE_START	6
#define	POST_START	4
#define	POST_CONT_START	2
#define	STOP		0

/* Range */
#define BP10	0x0000
#define BP05	0x4000
#define UP10	0x8000
#define UP05	0xC000

/* External Controls */
/*
	#define	INTERRUPT	0x80
	#define	RISING		0x40
	#define	FOLLING		0x00
	#define	SLAVE		0x20
	#define	MASTER		0x00
*/

/* CLKSEL */
#define EXT_RISE	0x90
#define EXT_FALL	0x10
#define INT_OPT		0x40
#define INT_32M		0x20
#define INT_40M		0x00

/* TRIG */
#define	SOFT_TRIG	0x80
#define	EXT_TRIG	0x40
#define	INT_TRIG	0x20
#define	PLUS		0x10
#define	MINUS		0x00
#define	EDGE		0x08
#define	LEVEL		0x00
#define	RANGE		0x04
#define	SLOPE		0x0C

/* Status */
#define	SMP_ERR		0x0404
#define	OER_FLAG	0x0400
#define	END_FLAG	0x0200
#define	ROLL_UP		0x0100 	
#define	EOS_FLAG	0x0080
#define	INTR_FLAG	0x0040
#define	CLOCK_FLAG	0x0020
#define	TRG_FLAG	0x0010
#define	LOST_ERR	0x0004
#define	NOT_HALF	0x0002
#define	NOT_EMPTY	0x0001

/* DATA MODE */
#define	STRAGHT		0x00
#define	COMP2		0x10
#define	BIT_12		0x00
#define	BIT_14		0x01
#define	A_MODE		0x00	
#define	B_MODE		0x00	
 
/* INTRSRC */
#define	INTR_HALF_FULL	0x40
#define	INTR_NOT_EMPTY	0x20
#define	INTR_END	0x10
#define	INTR_EOS	0x08
#define	INTR_TRGD	0x04
#define	INTR_EXT_RISE	0x82
#define	INTR_EXT_FALL	0x02
#define	INTR_CLOCK	0x01

/* INTROUT */
#define	INTR_EN		0x01
#define	INTR_DIS	0x00

#ifdef __cplusplus
	}
#endif
